Gridstate
ApiV1SitesSiteid

Read a tenant-scoped site

GET
/v1/sites/{siteId}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

siteId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/sites/string"
{  "data": {    "id": "string",    "tenantId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "customerReference": "string",    "metadata": {      "property1": "string",      "property2": "string"    },    "requestedPeakLoadMw": 0,    "averageLoadMw": 0,    "targetInServiceDate": "2019-08-24",    "loadProfile": "flat",    "rampProfile": [      {}    ],    "serviceVoltageKv": 0,    "redundancy": "none",    "curtailableMw": 0,    "onSiteGeneration": [      {}    ],    "energyStorage": {},    "location": {      "latitude": 0,      "longitude": 0    },    "address": {      "addressLine1": "string",      "addressLine2": "string",      "locality": "string",      "region": "string",      "postalCode": "string",      "countryCode": "US"    }  }}